Update a presentation template.
curl --request PUT \
--url https://test.didxtech.com/me-creds/api/v1/templates/presentations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"credentials": [
{
"format": "sd-jwt-vc",
"type": "<string>",
"attributes": {},
"name": "<string>",
"description": "<string>",
"issuers": [
"<string>"
],
"trustedIssuers": [
"<string>"
]
}
],
"verifierConfig": {
"signer": "did:web"
}
}
'import requests
url = "https://test.didxtech.com/me-creds/api/v1/templates/presentations/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"credentials": [
{
"format": "sd-jwt-vc",
"type": "<string>",
"attributes": {},
"name": "<string>",
"description": "<string>",
"issuers": ["<string>"],
"trustedIssuers": ["<string>"]
}
],
"verifierConfig": { "signer": "did:web" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
credentials: [
{
format: 'sd-jwt-vc',
type: '<string>',
attributes: {},
name: '<string>',
description: '<string>',
issuers: ['<string>'],
trustedIssuers: ['<string>']
}
],
verifierConfig: {signer: 'did:web'}
})
};
fetch('https://test.didxtech.com/me-creds/api/v1/templates/presentations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "My presentation template",
"description": "This is a description",
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"id": "6421a8905c17830c188e2e2f",
"credentials": [
{
"format": "sd-jwt-vc",
"name": "My SD-JWT credential",
"description": "A verifiable credential",
"type": "https://test.didxtech.com/vct/acme-university/UniversityCard",
"attributes": {
"myAttribute": {
"type": "string"
}
}
},
{
"format": "mdoc",
"name": "My mDL credential",
"description": "A mobile driving licence",
"type": "org.iso.18013.5.1.mDL",
"attributes": {
"org.iso.18013.5.1": {
"properties": {
"family_name": {
"intentToRetain": false
}
}
}
}
}
]
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Presentation Templates API
Update a presentation template (v1)
PUT
/
v1
/
templates
/
presentations
/
{id}
Update a presentation template.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
Updated presentation template.
Show child attributes
Show child attributes
Example:
{
"name": "My presentation template",
"description": "This is a description",
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"id": "6421a8905c17830c188e2e2f",
"credentials": [
{
"format": "sd-jwt-vc",
"name": "My SD-JWT credential",
"description": "A verifiable credential",
"type": "https://test.didxtech.com/vct/acme-university/UniversityCard",
"attributes": { "myAttribute": { "type": "string" } }
},
{
"format": "mdoc",
"name": "My mDL credential",
"description": "A mobile driving licence",
"type": "org.iso.18013.5.1.mDL",
"attributes": {
"org.iso.18013.5.1": {
"properties": {
"family_name": { "intentToRetain": false }
}
}
}
}
]
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

